org.mariadb.jdbc.internal.common.query.parameters

## Class IntParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.common.query.parameters.ParameterHolder
  - - org.mariadb.jdbc.internal.common.query.parameters.IntParameter

    public class IntParameter
    extends ParameterHolder

### Constructor Summary

Constructors
Constructor and Description
`IntParameter(int value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeTo(OutputStream os)` Write parameter value

### Methods inherited from class org.mariadb.jdbc.internal.common.query.parameters.ParameterHolder

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntParameter

    public IntParameter(int value)

### Method Detail

#### writeTo

    public void writeTo(OutputStream os)
                 throws IOException

Description copied from class: `ParameterHolder`
Write parameter value

Specified by:
  `writeTo` in class `ParameterHolder`
Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong